org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

## Class CircuitBreakerClientWithAsyncBulkhead

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver.CircuitBreakerClientWithAsyncBulkhead

    @CircuitBreaker(requestVolumeThreshold=3,
                    failureRatio=1.0,
                    delay=50000L)
     @Bulkhead(value=1,
              waitingTaskQueue=1)
     @Asynchronous
     @RequestScoped
    public class CircuitBreakerClientWithAsyncBulkhead
    extends Object

Client bean with CircuitBreaker, Bulkhead and Asynchronous

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerClientWithAsyncBulkhead()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<?>` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerClientWithAsyncBulkhead

    public CircuitBreakerClientWithAsyncBulkhead()

### Method Detail

#### test

    public Future<?> test(Barrier barrier)